Skip to main content
POST
/
api
/
integration-sources
/
{source_id}
/
databases
Create Integration Source Database
curl --request POST \
  --url https://config.heyhumm.ai/api/integration-sources/{source_id}/databases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "is_active": true,
  "priority": 99,
  "description_source": "ai_generated",
  "description_generated_at": "2023-11-07T05:31:56Z"
}
'
{
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "integration_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description_version": 123,
  "description": "<string>",
  "is_active": true,
  "priority": 99,
  "description_source": "ai_generated",
  "description_generated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source_id
string<uuid> | null
required

Query Parameters

organization_id
string<uuid> | null
resource_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json

Model for creating a new integration source database.

name
string
required

Database name (e.g., project name for BigQuery)

description
string | null

Optional description of the database

is_active
boolean
default:true

Whether this database is active for introspection

priority
integer
default:99

Priority for processing (lower numbers processed first)

description_source
enum<string> | null

How description was created: 'ai_generated' | 'manual_edit' | 'imported' | 'information_schema'

Available options:
ai_generated,
manual_edit,
imported,
information_schema
description_generated_at
string<date-time> | null

When description was last modified

Response

Successful Response

Response model for integration source databases.

name
string
required

Database name (e.g., project name for BigQuery)

id
string<uuid>
required
integration_source_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description_version
integer
required
description
string | null

Optional description of the database

is_active
boolean
default:true

Whether this database is active for introspection

priority
integer
default:99

Priority for processing (lower numbers processed first)

description_source
enum<string> | null

How description was created: 'ai_generated' | 'manual_edit' | 'imported' | 'information_schema'

Available options:
ai_generated,
manual_edit,
imported,
information_schema
description_generated_at
string<date-time> | null

When description was last modified